Subject: bug#46670: 28.0.50; [feature/native-comp] possible miscompilation affecting lsp-mode

From: Richard Stallman <[email-masked]>
Date: Mon, 01 Mar 2021 00:24:03 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > You're using "sound" to mean "superficially correct". I understood it
  > to have its mathematical (and legal) meaning, "irrefutably correct".

I was not following this thread, but here

  > > > I take it you've read through the code, understood it all, and
  > > > concluded the reasons were "sound", then?

you seem to be talking about judging the reasons to make a change.

Generally, that is not a question of mathematics alone.  Sometimes a
bug is simple and a fix is cleary correct.  But usually what to change
and how is a matter of judgment, and the best answer is not
irrefutably right.

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)